<template>
	<div class="myModal">
		<a-modal v-model="visible" title="视频盒子" :footer="null" :mask="false" :maskClosable="true"
			:bodyStyle="{'overflow':'overlay','maxHeight': '750px'}">
			<videoDetail ref="videoDetail"></videoDetail>
		</a-modal>
	</div>

</template>

<script>
	import videoDetail from "../mini/box16-videoDetail.vue"

	export default {
		components: {
			videoDetail,
		},
		watch: {
			// '$route'(to, from) {
			// 	if ("mdDetail" === to.name) {
			// 		this.articleId = this.$route.query.id;
			// 		this.articleFileType = this.$route.query.articleFileType;
			// 	}
			// },
			articleId: function(newValue, oldValue) {
				if (newValue == undefined || newValue == null || newValue == "") {
					this.showMsg = true;
					this.errorMsg = "日志id参数缺失";
				} else {
					this.$nextTick(function() {
						this.$refs.myComment.updateCommentList(this.articleId);
					})
				}
			},
		},
		data() {
			return {
				visible: false,
				articleId: "",
			}
		},
		methods: {
			showModal(param) {
				this.visible = true;
				this.$nextTick(function() {
					this.$refs.videoDetail.showVideo(param)
				})
			},
			handleCancel(e) {
				this.visible = false;
			},

		},
	}
</script>
<style scoped>

</style>
